from typing import Dict

from .types import Literals


CC_WELLHEADER: Dict[str, Literals] = {
    'abstract': '31',
    'acreSpacing': 10,
    'allocationType': 'MARCELLUS',
    'api10': '4247730985',
    'api12': '424773098500',
    'api14': '42477309850000',
    'ariesId': 'D8GLPMRF8C',
    'azimuth': 14.52890449,
    'basin': 'GULF COAST CENTRAL',
    'bg': 0.00368,
    'block': '7',
    'bo': 1.5,
    'bubblePointPress': 45,
    'casingId': 789,
    'chokeSize': 27,
    'chosenID': '42477309850000',
    'chosenKeyID': 'API14',
    'completionDesign': 'HYBRID',
    'completionEndDate': '2012-04-05T00:00:00Z',
    'completionStartDate': '2012-04-04T00:00:00Z',
    'copied': False,
    'copiedFrom': '5e272d39b78210dd2a1bd8fe',
    'country': 'US',
    'county': 'WASHINGTON (TX)',
    'createdAt': '2020-01-21T16:56:24.869Z',
    'cumBoe': 257.91616666666664,
    'cumBoePerPerforatedInterval': 54.11292022341659,
    'cumGas': 1547.401,
    'cumGasPerPerforatedInterval': 324.64527347454947,
    'cumGor': 96712562.5,
    'cumMmcfge': 1547.497,
    'cumMmcfgePerPerforatedInterval': 324.6775213404995,
    'cumOil': 0.016,
    'cumOilPerPerforatedInterval': 0.005374644325007904,
    'cumWater': 45.439,
    'cumWaterPerPerforatedInterval': 6.429339234903573,
    'currentOperator': 'CRAWFORD HUGHES OPERATING CO.',
    'currentOperatorAlias': 'CRAWFORD HUGHES OPERATING',
    'currentOperatorCode': 'OP',
    'currentOperatorTicker': 'MGY',
    'customBool0': True,
    'customBool1': False,
    'customBool2': True,
    'customBool3': False,
    'customBool4': False,
    'customDate0': '2020-01-21T16:56:24.869Z',
    'customDate1': '2020-01-22T16:56:24.869Z',
    'customDate2': '2020-01-21T16:56:24.849Z',
    'customDate3': '2012-01-21T16:56:24.869Z',
    'customDate4': '2014-02-21T16:56:24.869Z',
    'customDate5': '2020-01-21T16:52:24.869Z',
    'customDate6': '2004-03-12T17:23:17.256Z',
    'customDate7': '2020-01-21T16:12:24.869Z',
    'customDate8': '2015-03-17T16:56:24.869Z',
    'customDate9': '2022-05-04T00:00:00.000Z',
    'customNumber0': 4944,
    'customNumber1': 13278.72,
    'customNumber10': 12910,
    'customNumber11': -96.3070098,
    'customNumber12': 30.3248831,
    'customNumber13': 30.3355247,
    'customNumber14': 55.1,
    'customNumber15': 399,
    'customNumber16': 2868.92,
    'customNumber17': 428.47,
    'customNumber18': 0.73,
    'customNumber19': 376,
    'customNumber2': 2839,
    'customNumber3': 30.1097601,
    'customNumber4': -96.5976726,
    'customNumber5': 12626,
    'customNumber6': -5,
    'customNumber7': 0,
    'customNumber8': 184.427,
    'customNumber9': 311,
    'customString0': 'internal',
    'customString1': 'KB EST',
    'customString10': 'D',
    'customString11': 'TX',
    'customString12': 'USA',
    'customString13': 'GIDDINGS',
    'customString14': 'INPT.VS3T8il8KF',
    'customString15': '9v7k0dcmbncd',
    'customString16': 'OPERATING',
    'customString17': 'Point',
    'customString18': '5f1b6511a5e1e208ccb34baa',
    'customString19': 'ACTIVE',
    'customString20': 'ACTIVE',
    'customString21': 'ACTIVE',
    'customString22': 'ACTIVE',
    'customString23': 'ACTIVE',
    'customString24': 'ACTIVE',
    'customString2': 'Y',
    'customString3': '1',
    'customString4': 'NORMA',
    'customString5': 'OIL',
    'customString6': 'api',
    'customString7': 'MAGNOLIA OIL & GAS',
    'customString8': '186',
    'customString9': '42477306120000',
    'dataPool': 'internal',
    'dataSource': 'internal',
    'dataSourceCustomName': 'internal-id',
    'dateRigRelease': '2131-04-27T00:00:00Z',
    'dewPointPress': 12,
    'distanceFromBaseOfZone': 304.786,
    'distanceFromTopOfZone': 26.96,
    'district': '03',
    'drainageArea': 160,
    'drillEndDate': '2012-05-05T00:00:00Z',
    'drillStartDate': '2012-02-05T00:00:00Z',
    'drillinginfoId': '9E5F5CC579867509254700023',
    'elevation': 301.31,
    'elevationType': 'KB EST',
    'field': 'GIDDINGS',
    'first12Boe': 103.14016666666667,
    'first12BoePerPerforatedInterval': 54.11292022341659,
    'first12Gas': 618.841,
    'first12GasPerPerforatedInterval': 471.76666666666665,
    'first12Gor': 7072.235799694917,
    'first12Mmcfge': 618.841,
    'first12MmcfgePerPerforatedInterval': 137.525,
    'first12Oil': 0,
    'first12OilPerPerforatedInterval': 5.298140371925615,
    'first12Water': 6.43,
    'first12WaterPerPerforatedInterval': 14.47715736040609,
    'first6Boe': 81.80216666666668,
    'first6BoePerPerforatedInterval': 62.509399855386846,
    'first6Gas': 490.813,
    'first6GasPerPerforatedInterval': 937.1,
    'first6Gor': 21508.733624454148,
    'first6Mmcfge': 490.813,
    'first6MmcfgePerPerforatedInterval': 730.7922077922078,
    'first6Oil': 0,
    'first6OilPerPerforatedInterval': 103.68072289156626,
    'first6Water': 5.132,
    'first6WaterPerPerforatedInterval': 43.49841772151899,
    'firstAdditiveVolume': 130896,
    'firstClusterCount': 1,
    'firstFluidPerPerforatedInterval': 0.00004420703628660895,
    'firstFluidVolume': 682,
    'firstFracVendor': 'UNIVERSAL PRESSURE PUMPING',
    'firstMaxInjectionPressure': 10820,
    'firstMaxInjectionRate': 87.17,
    'firstProdDate': '2012-04-07T00:00:00Z',
    'firstProdDateDailyCalc': '2012-04-07T00:00:00Z',
    'firstProdDateMonthlyCalc': '2012-05-15T00:00:00Z',
    'firstPropWeight': 357323,
    'firstProppantPerFluid': 0.633151794442117,
    'firstProppantPerPerforatedInterval': 906.8,
    'firstStageCount': 1,
    'firstTestFlowTbgPress': 1490,
    'firstTestGasVol': 2225,
    'firstTestGor': 1252,
    'firstTestOilVol': 1813,
    'firstTestWaterVol': 231,
    'firstTreatmentType': 'SLICKWATER',
    'flowPath': 'path',
    'fluidType': '99456',
    'footageInLandingZone': 2326.91,
    'formationThicknessMean': 331.746,
    'fractureConductivity': 12.5,
    'gasAnalysisDate': '2020-10-26T20:45:51.482Z',
    'gasC1': 2.135,
    'gasC2': 1.245,
    'gasC3': 0.85,
    'gasCo2': 1.23,
    'gasGatherer': 'ENERGY TRANSFER COMPANY',
    'gasH2': 2.51,
    'gasH2o': 0.12,
    'gasH2s': 3.47,
    'gasHe': 2.45,
    'gasIc4': 1.23,
    'gasIc5': 2.1,
    'gasN2': 1.2,
    'gasNc10': 2.04,
    'gasNc4': 1.95,
    'gasNc5': 0.45,
    'gasNc6': 0.75,
    'gasNc7': 0.87,
    'gasNc8': 0.12,
    'gasNc9': 0.15,
    'gasO2': 2.56,
    'gasSpecificGravity': 0.71,
    'generic': True,
    'grossPerforatedInterval': 4268,
    'groundElevation': 278.31,
    'hasDaily': False,
    'hasMonthly': True,
    'heelLatitude': 30.1903838,
    'heelLongitude': -96.6974461,
    'holeDirection': 'H',
    'horizontalSpacing': 1.21,
    'hzWellSpacingAnyZone': 677.7982338,
    'hzWellSpacingSameZone': 2001.308331,
    'id': '5e272d39b78910dd2a1bd8fe',
    'ihsId': '5489',
    'initialRespress': 5400,
    'initialRestemp': 220,
    'inptID': 'INPT.ZB9xQAEFu5',
    'landingZone': 'Austin Chalk',
    'landingZoneBase': 0.63,
    'landingZoneTop': 1,
    'last12Boe': 0.6311666666666667,
    'last12BoePerPerforatedInterval': 0.21630170316301703,
    'last12Gas': 3.787,
    'last12GasPerPerforatedInterval': 1.2291970802919707,
    'last12Gor': 3586.206896551724,
    'last12Mmcfge': 3.787,
    'last12MmcfgePerPerforatedInterval': 4.525384615384615,
    'last12Oil': 0,
    'last12OilPerPerforatedInterval': 0.08518296340731854,
    'last12Water': 0.6,
    'last12WaterPerPerforatedInterval': 0.44452554744525546,
    'lastMonthBoe': 0.017833333333333333,
    'lastMonthBoePerPerforatedInterval': 0.0004819940783584659,
    'lastMonthGas': 0.107,
    'lastMonthGasPerPerforatedInterval': 0.0028919644701507954,
    'lastMonthGor': 5142.857142857143,
    'lastMonthMmcfge': 0.107,
    'lastMonthMmcfgePerPerforatedInterval': 1.4784022294472827,
    'lastMonthOil': 0,
    'lastMonthOilPerPerforatedInterval': 0.001937984496124031,
    'lastMonthWater': 0.017,
    'lastMonthWaterPerPerforatedInterval': 0.9967130214917825,
    'lastProdDateDaily': '2015-10-04T00:00:00Z',
    'lastProdDateMonthly': '2015-10-15T00:00:00Z',
    'lateralLength': 777,
    'leaseName': 'SCHAWE-WOLFF',
    'leaseNumber': '265263',
    'lowerPerforation': 15313,
    'matrixPermeability': 1.04,
    'measuredDepth': 15314,
    'monthsProduced': 42,
    'mostRecentImportDate': '2020-07-24T22:47:45.941Z',
    'mostRecentImportDesc': 'External API Import - 03/01/2021 03:03:47 PM',
    'mostRecentImportType': 'api',
    'nglGatherer': 'ENTERPRISE LLC',
    'numTreatmentRecords': 26,
    'oilApiGravity': 52.5,
    'oilGatherer': 'ENTERPRISE CRUDE OIL LLC',
    'oilSpecificGravity': 43.5,
    'padName': '33-023-01395',
    'parentChildAnyZone': 'LIME ROCK',
    'parentChildSameZone': '5950',
    'percentInZone': 100,
    'perfLateralLength': 2,
    'permitDate': '2012-06-06T00:00:00Z',
    'phdwinId': '9E5F5CC579867509254700023',
    'play': 'EAGLEBINE',
    'porosity': 9,
    'previousOperator': 'EXXON MOBIL',
    'previousOperatorAlias': 'XTO ENERGY',
    'previousOperatorCode': 'XT',
    'previousOperatorTicker': 'XOM',
    'primaryProduct': 'GAS',
    'prmsReservesCategory': 'Proved',
    'prmsReservesSubCategory': 'Producing',
    'prmsResourcesClass': 'Standard',
    'productionMethod': 'PUMPING',
    'proppantMeshSize': '100M/4070/',
    'proppantType': 'RSWhite/Brown/',
    'range': '26W',
    'recoveryMethod': 'Regular',
    'refracAdditiveVolume': 1370,
    'refracClusterCount': 20,
    'refracDate': '2020-09-09T00:00:00Z',
    'refracFluidPerPerforatedInterval': 2.5248802064135645,
    'refracFluidVolume': 13700,
    'refracFracVendor': 'BAKER HUGHES',
    'refracMaxInjectionPressure': 23,
    'refracMaxInjectionRate': 0.42,
    'refracPropWeight': 8,
    'refracProppantPerFluid': 4.957037815996877e-11,
    'refracProppantPerPerforatedInterval': 10,
    'refracStageCount': 2,
    'refracTreatmentType': 'CROSSLINK HC',
    'rig': 'RIG-1',
    'rs': 1,
    'rsegId': '421',
    'scope': 'company',
    'section': '71',
    'sg': 0.595085877,
    'so': 40,
    'spudDate': '2012-01-06T00:00:00Z',
    'stageSpacing': 12,
    'state': 'TX',
    'status': 'INACTIVE',
    'subplay': 'EAGLEVILLE',
    'surfaceLatitude': 30.3288694,
    'surfaceLongitude': -96.3641278,
    'survey': 'COLES, J P',
    'sw': 30,
    'targetFormation': 'AUSTIN CHALK, GAS',
    'tgsId': '147',
    'thickness': 70,
    'til': '2020-10-26T20:45:51.482Z',
    'toeInLandingZone': 'Y',
    'toeLatitude': 30.3332851,
    'toeLongitude': -96.3631776,
    'toeUp': '02/01/2013',
    'totalAdditiveVolume': 400450,
    'totalClusterCount': 35,
    'totalFluidPerPerforatedInterval': 34.21673724091821,
    'totalFluidVolume': 425134,
    'totalPropWeight': 8840026,
    'totalProppantPerFluid': 1.225148340912877,
    'totalProppantPerPerforatedInterval': 1149.3987777922248,
    'totalStageCount': 31,
    'township': '001N',
    'TrueVerticalDepth': 12691.52,
    'tubingDepth': 741006,
    'tubingId': 21,
    'typeCurveArea': '1000 GOR',
    'updatedAt': '2020-07-26T15:29:00.352Z',
    'upperPerforation': 12226,
    'verticalSpacing': 10,
    'vtWellSpacingAnyZone': 11,
    'vtWellSpacingSameZone': 10,
    'wellName': 'SCHAWE-WOLFF',
    'wellNumber': '1H',
    'wellType': 'GAS',
    'zi': 23
}
